Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"672f47e6-8d76-413f-971c-f758a0a087a6","url":null,"userId":"68b381ca-a428-4562-a61f-609569ae9f14","userUrl":null,"parentCommentId":"3bfdffac-1c21-4b5a-8726-e2e8d95eb386","parentCommentUrl":null,"creationDateTime":"2026-09-28T21:02:04.1290597+00:00","lastModifiedDateTime":"2026-09-29T01:02:04.1290597+00:00","medias":[{"id":"a3832b34-f742-4af4-8eb0-f57e46dfd202","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"81f84bcf-7688-4183-a4e1-a2aa189451ae","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"83f427c5-47e1-487c-bd7a-439a4944f133","url":null,"userId":"2495639e-02b8-455f-ba1c-52974ecd41f5","userUrl":null,"parentCommentId":"f095c3f1-8be1-4a86-b725-207d54073ad0","parentCommentUrl":null,"creationDateTime":"2026-09-28T20:02:04.1290597+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"31bd844e-9194-43e9-b710-4c99bfcd2d38","url":null},{"type":"Department","name":null,"id":"da2d5a79-fb38-4e1e-b501-8f6bbc330b76","url":null},{"type":"User group","name":null,"id":"928f9c39-186a-4863-b96e-2d1068d76c69","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string